import React, { useEffect, useState } from 'react';
import { Text } from 'react-native';
const style = { minWidth: 30 };
export const Progress = ({ progressRef }) => {
    const [progress, setProgress] = useState(0);
    useEffect(() => {
        progressRef.current = setProgress;
        return () => {
            progressRef.current = () => { };
        };
    }, []);
    if (progress === 0) {
        return null;
    }
    return <Text style={style}>{(progress * 100).toFixed(0)}%</Text>;
};
