import { useEffect, useState } from 'react';
import CodePush from 'react-native-code-push';
export const useCurrentPackage = () => {
    const [currentPackage, setCurrentPackage] = useState(null);
    useEffect(() => {
        CodePush.getUpdateMetadata(CodePush.UpdateState.RUNNING).then(setCurrentPackage);
    }, []);
    return {
        currentPackage,
    };
};
